upload

Hi

i get this error message when i want to upload the codes to the arduino board

"avrdude: no programmer has been specified on the command line or the config file
Specify a programmer using the -c option and try again "

Anyone have idea about this error ?

@omarAlwaadh, double-posting is not allowed on these forums. You already started a thread on this problem, then deserted it after the first reply, without supplying the requested information.
upload problem

I have the same problem with 1.6.12 install.

void setup() {
  // put your setup code here, to run once:

}

void loop() {
  // put your main code here, to run repeatedly:

}

Cern:
I have the same problem with 1.6.12 install.

Have you travelled to the future?

The latest full release was 1.6.10.There isn't a V1.6.12 from Arduino.cc.

Are you possibly installing the version of the IDE from Arduino.org? If so, uninstall and download from Arduino.cc, here:-Arduino.cc Software

"The latest full release was 1.6.10.There isn't a V1.6.12 from Arduino.cc."

Incorrect ! I have installed Arduino AVR Broads Arduino version 1.6.12. That is my problem.

Cern:
"The latest full release was 1.6.10.There isn't a V1.6.12 from Arduino.cc."

Incorrect ! I have installed Arduino AVR Broads Arduino version 1.6.12. That is my problem.

No, not incorrect at all!

You didn't mention that you were talking about the Arduino AVR boards version in "Boards Manager". That's a whole different thing to the Arduino IDE version, which does not go beyond V1.6.10, as I stated.

In that case, you didn't mention which version of the IDE you are using. Try rolling back to the previously-installed version of Arduino AVR boards.